<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>middleware on Basit&#39;s Blog</title>
    <link>https://blog.rjbasitali.com/tags/middleware/</link>
    <description>Recent content in middleware on Basit&#39;s Blog</description>
    <generator>Hugo -- gohugo.io</generator>
    <language>en-us</language>
    <copyright>Basit Ali</copyright>
    <lastBuildDate>Sun, 01 Aug 2021 22:05:04 +0500</lastBuildDate><atom:link href="https://blog.rjbasitali.com/tags/middleware/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>Writing a Middleware for your HTTP handler – Golang</title>
      <link>https://blog.rjbasitali.com/posts/writing-a-golang-middleware-for-your-http-handler/</link>
      <pubDate>Sun, 01 Aug 2021 22:05:04 +0500</pubDate>
      
      <guid>https://blog.rjbasitali.com/posts/writing-a-golang-middleware-for-your-http-handler/</guid>
      <description>If you are a backend developer working daily with HTTP requests then you have most likely already encountered situations where you want a common functionality across all the incoming HTTP requests, which can be as simple as checking if the Content-Type header only has the value application/json if you only support json, or maybe you want to spoof your HTTP request to change the method type from POST,GET or PUT to something else based on the X-HTTP-Method-Override header, or of course authenticate before finally passing the request to the destination HTTP handler.</description>
    </item>
    
  </channel>
</rss>
